[project]
name = "tootapalooza"
version = "1.0"
authors = [{ name="Paco Hope", email="tootapalooza@filter.paco.to" } ]
description = "Fill a mastodon public timeline with public toots from bots who post gutenberg open texts."
readme = "README.md"
license = { file="LICENSE" }
requires-python = ">=3.9"
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
    "Operating System :: OS Independent",
]
dependencies = [
    "build",
    "Mastodon.py",
    "python-dotenv",
    "toml"
]

[project.urls]
"Homepage" = "https://git.paco.to/nick/tootapalooza"
"Bug Tracker" = "https://git.paco.to/nick/tootapalooza/issues"

[build-system]
requires = ["setuptools>=61.0"]
build-backend = "setuptools.build_meta"

[project.scripts]
tootapalooza = "tootapalooza.cli:main"
